<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
include ('../../var_configs.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result_vestibular = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info_vestibular = mysql_fetch_array($result_vestibular);
$cursos_do_vestibular = $info_vestibular["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i_vestibular = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i_vestibular] == '') {
		$retorna = 0;
	}
	else
	{
		if ($primeiro == 0)
		{
			$primeiro = 1;
		}
		else
		{
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i_vestibular] . ' ';
	}
	$i_vestibular++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Cursos</title>
		<script type="text/javascript">
function valida_cpf()
{
   var CPF = document.forms[0].cpf.value; // Recebe o valor digitado no campo	
   if (CPF == "" )
	{
	    alert("O preenchimento do CPF é obrigatório. Por favor, entre com o CPF!");
		document.forms[0].cpf.focus();
	    return (false);
	}
	else
	{
		// Aqui começa a checagem do CPF
		var POSICAO, I, SOMA, DV, DV_INFORMADO;
		var DIGITO = new Array(10);
		DV_INFORMADO = CPF.substr(9, 2); // Retira os dois últimos dígitos do número informado

		// Desemembra o número do CPF na array DIGITO
		for (I=0; I<=8; I++)
		{
			DIGITO[I] = CPF.substr( I, 1);
		}

		// Calcula o valor do 10º dígito da verificação
		POSICAO = 10;
		SOMA = 0;
		for (I=0; I<=8; I++)
		{
			SOMA = SOMA + DIGITO[I] * POSICAO;
  			POSICAO = POSICAO - 1;
   		}
		DIGITO[9] = SOMA % 11;
		if (DIGITO[9] < 2)
		{
  			DIGITO[9] = 0;
		}
 		else
 		{
   			DIGITO[9] = 11 - DIGITO[9];
		}

		// Calcula o valor do 11º dígito da verificação
		POSICAO = 11;
		SOMA = 0;
 		for (I=0; I<=9; I++)
 		{
   			SOMA = SOMA + DIGITO[I] * POSICAO;
     			POSICAO = POSICAO - 1;
   		}
		DIGITO[10] = SOMA % 11;
 		if (DIGITO[10] < 2)
 		{
   			DIGITO[10] = 0;
   		}
   		else
   		{
     			DIGITO[10] = 11 - DIGITO[10];
   		}

		// Verifica se os valores dos dígitos verificadores conferem
		DV = DIGITO[9] * 10 + DIGITO[10];
   		if (DV != DV_INFORMADO)
   		{
     			alert('CPF inválido!');
      			document.forms[0].cpf.value = '';
      			document.forms[0].cpf.focus();
      			return (false);
		} 
	}
}
		
		</script>
	</head>

<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<?
	if (!isset($submit)){
?>
<form action="editar_manut.php" method="post" style="font-family: Verdana, Geneva, Arial, Helvetica, sans-serif; font-size: x-small;">
<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
					<td>
		<br>
		<br>
		<center><font face="Verdana" size="2" color="#000000"><b>Editando Inscrição Número <font color="#ff0000">
			<? 
				if ($id <= 9)
					echo '00000'. $id;
				if (($id >= 10) && ($id <= 99))
					echo '0000'. $id;
				if (($id >= 100) && ($id <= 999))
				 	echo '000'. $id;
				if (($id >= 1000) && ($id <= 9999))
				 	echo '00'. $id;
				if ($id >= 10000)
				 	echo  '0'. $id;
			?>
		</font></b></font></center>
		<?
			mysql_connect( $bd_host, $bd_user, $bd_senha )
				or die ( 'Não foi possível conectar ao Servidor.' );
			mysql_select_db( $bd_database )
				or die ( 'Não foi possível conectar a Base de Dados.' );
			$sql = "SELECT * FROM candidato where codigo = $id";
			$result = mysql_query($sql)
				or die ( 'Não foi possível executar a query 161.' );
			$num = mysql_num_rows($result);
			if ($num == 0 ) {
				echo '<br><br><center><font color="#ff0000" face="Verdana" size="3"><b>INSCRIÇÃO NÃO EXISTENTE NOS REGISTROS!!!</font></center>';
				exit;
			}
			else {
				echo '<br><br><table width="96%" border="1" cellspacing="0" cellpadding="0" align="center">';
					while($information = mysql_fetch_array($result)) {
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Data da Ficha</font></b></td>';
						echo '<td width="60%"><font color="#ff0000" face="Verdana" size="2"><b>' . $information["data_ficha"] . '</b></font>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Nome do Canditado</font></b></td>';
						echo '<td width="60%"><input  type="text" name="nome" size="50" maxlength="150" value="' . $information["nome_candidato"] . '"></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">CPF</font></b></td>';
						echo '<td width="60%"><input  type="text" onblur="valida_cpf()" name="cpf" size="18" maxlength="11" value="' . $information["cpf"] . '"></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Identidade</font></b></td>';
						echo '<td width="60%"><input type="text" name="rg" size="33" maxlength="150" value="' . $information["rg"] . '"><input  type="text" style="text-transform: uppercase;" name="rg1" size="5" maxlength="150" value="' . $information["expedidor"] . '">';
						$aux = $information["ufexpedidor"];
						$sql1 = "SELECT * FROM estado Order by identificacao ";
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="rg2">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["sigla"] . '"';
									if ($info["sigla"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["sigla"] . '</option>';
							}
						echo '</select></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Canhoto</font></b></td>';
						echo '<td width="60%">';
						$aux = $information["canhoto"];
						echo '<select name="canhoto">';
								if ($aux == 'sim') {
									echo '<option value="sim"';
									echo ' selected ';
									echo '>Sim</option>';
									echo '<option value="nao">Não</option>';
								}
								else {
									echo '<option value="nao"';
									echo ' selected ';
									echo '>Não</option>';
									echo '<option value="sim">Sim</option>';
								}
						echo '</select>';
						echo '</td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Sexo</font></b></td>';
						echo '<td width="60%">';
						$aux1 = $information["sexo"];
						echo '<select name="sexo">';
								if ($aux1 == 'M') {
									echo '<option value="M"';
									echo ' selected ';
									echo '>Masculino</option>';
									echo '<option value="F">Feminino</option>';
								}
								else {
									echo '<option value="F"';
									echo ' selected ';
									echo '>Feminino</option>';
									echo '<option value="M">Masculino</option>';
								}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Data de Nascimento</font></b></td>';
						echo '<td width="60%"><input type="text" name="nascimento" size="50" maxlength="150" value="' . $information["nascimento"] . '"></td>';

					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Endereço</font></b></td>';
						echo '<td width="60%"><input type="text" name="endereco" size="50" maxlength="150" value="' . $information["endereco"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Bairro</font></b></td>';
						echo '<td width="60%"><input type="text" name="bairro" size="50" maxlength="150" value="' . $information["bairro"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Cidade/Estado</font></b></td>';
						echo '<td width="60%"><input type="text" name="cidade" size="24" maxlength="150" value="' . $information["cidade"] . '">-';
						$aux = $information["uf"];
						$sql1 = "SELECT * FROM estado Order by identificacao ";
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="estado">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["sigla"] . '"';
									if ($info["sigla"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["identificacao"] . '</option>';
							}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">C.E.P.</font></b></td>';
						echo '<td width="60%"><input type="text" name="cep" size="50" maxlength="150" value="' . $information["cep"] . '"></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Telefone</font></b></td>';
						echo '<td width="60%"><input type="text" name="ddd" size="5" maxlength="150" value="' . $information["codtelefone"] . '">-<input type="text" name="fone" size="40" maxlength="150" value="' . $information["telefone"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">E-mail</font></b></td>';
						echo '<td width="60%"><input type="text" name="email" size="50" maxlength="150" value="' . $information["email"] . '"></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Nome da Mãe</font></b></td>';
						echo '<td width="60%"><input type="text" name="nome_mae" size="50" maxlength="150" value="' . $information["nome_mae"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Curso</font></b></td>';
						echo '<td width="60%">';
						$aux = $information["curso"];
						$sql1 = $sql_cursos;
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="curso">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["codigo"] . '"';
									if ($info["codigo"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["nome_curso"] . '</option>';
							}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Língua</font></b></td>';
						echo '<td width="60%">';
						$aux = $information["lingua"];
						$sql1 = "SELECT * FROM linguas Order by codigo ";
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="lingua">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["codigo"] . '"';
									if ($info["codigo"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["lingua"] . '</option>';
							}
						echo '</select>';
						echo '</td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Local da Prova</font></b></td>';
						$local_da_prova_do_candidato = $information["local_prova"];
						echo '<td>';
											$N_Cidades_deste = count($var_Cidades_deste)-1;
											$T_Cidades = count($var_Cidades)-1;
											for ($i=1;$i<=$N_Cidades_deste;$i++)
											{
												for ($j=1;$j<=$T_Cidades;$j++)
												{
													if ($var_Cidades_deste[$i] == $var_Cidades[$j])
													{
													?>
														<input type='radio' name='local_prova' value='<? echo $j;?>' checked border='0'><?echo $var_Cidades[$j];?>&nbsp;&nbsp;&nbsp;
 													<?
													}
												}
											}
						
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						if ($information["2opcao"] == "s")
						{
							echo '<td colspan="2"><input type="checkbox" name="v2opcao" value="s" checked border="0"><b><font face="Verdana" size="2" color="#000000">Desejo participar da 2ª Opção, de acordo com o Grupo pertencente ao meu Curso.</b></font></td>';
						}
						else
						{
							echo '<td colspan="2"><input type="checkbox" name="v2opcao" value="s" border="0"><b><font face="Verdana" size="2" color="#000000">Desejo participar da 2ª Opção, de acordo com o Grupo pertencente ao meu Curso.</b></font></td>';
						}
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Candidato Treineiro</font></b></td>';
						$candidato_treineiro = $information["treineiro"];
						echo '<td>';
						echo '<select name="treineiro">';
						if($candidato_treineiro=="s")
						{
							echo '<option value="s" selected>Sim</option>';
							echo '<option value="n">Não</option>';
						}
						else
						{
							echo '<option value="s">Sim</option>';
							echo '<option value="n" selected>Não</option>';
						}
						echo '</select>';
						echo '</td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Situação</font></b></td>';
						echo '<td width="60%">';
							$aux = $information["entregue"];
							echo '<select name="situacao">';
								if ($aux == 'no'){
									echo '<option value="no" selected>Não Entregue</option>';
									//echo '<option value="yes">Entregue</option>';
								}
								else {
									echo '<option value="no">Não Entregue</option>';
									//echo '<option value="yes" selected>Entregue</option>';
								}
							echo '</select>';
						echo '</td>';
					echo '</tr>';
					$data_entregue = $information["data_entregue"];
					$codigo_vest = $information["codigo_vest"];
					echo '<tr>';
					echo '<td colspan="2">';
						echo '<div align="center"><strong><font face="Verdana" size="2" color="#000000">Pesquisa Sócio Econômica</font></strong></div>';
					echo '</td>';
					echo '</tr>';
					echo '<tr>';
					echo '<td colspan="2">';
						$sql2 = "SELECT * FROM perguntas_pesquisa";
						$result2 = mysql_query($sql2)
							or die ( 'Não foi possível executar a query 162.' );
				        $num2 = mysql_num_rows($result2);
						$numero_linhas = 11;
						$aux3 =  $information["socio_economico"];
						$aux4 = split(",",$aux3);
						echo '<center>';
						for ($carlos=0; $carlos< $num2; $carlos++) {
							echo '<font size="2" face="Verdana"><b>';
							if ($carlos < 9)
								echo '0' . ($carlos+1);
							else
								echo ($carlos+1);
							echo ':</b><input type="text" name="resp[' . $carlos . ']" size="2" maxlength="2" style="font-family: Verdana, Geneva, Arial, Helvetica, sans-serif; font-size: xx-small;" value="' . $aux4[$carlos] . '"></font>&nbsp;';
							if ($carlos == $numero_linhas){
								$numero_linhas = $numero_linhas + 11;
								echo '<br>';
							}
						}
						echo '</center>';
					echo '</td>';
					echo '</tr>';
					}
				echo '</table>';
			}
		?>






	</td>
				
					
				
				
					
				
				
					
				
				
					
				
				
					
				
	<tr>
		<td colspan="2">
			<div align="center">
				<input type="submit" name="submit" value="Alterar Ficha">
				&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="submit" name="submit" value="Excluir Ficha" disabled>
				&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="reset" value="Reiniciar Edição">
				<input type="hidden" name="id" value="<? echo $id; ?>">
				<input type="hidden" name="qt_perguntas" value="<? echo $num2; ?>">
				<input type="hidden" name="vdata_entregue" value="<? echo $data_entregue; ?>">
				<input type="hidden" name="vcodigo_vest" value="<? echo $codigo_vest; ?>">
				
			</div>
		</td>
	</tr>
</tr>
</table>
</form>
		<?
}
else {
	//
	// Alteracao da Ficha
	//
	if ($submit == 'Alterar Ficha') {
		$perguntas_ok = '';
		for ($i = 0; $i < $qt_perguntas; $i++){
			$perguntas_ok = $perguntas_ok . $resp[$i] . ',';
		}
		$nome = $nome;
		$rg1 = $rg1;
		$rg2 = $rg2;
		$canhoto = $canhoto;
		$nascimento = $nascimento;
		$sexo = $sexo;
		$endereco = $endereco;
		$bairro = $bairro;
		$ddd = $ddd;
		$fone = $fone;
		$cidade = $cidade;
		$estado = $estado;
		$cep = $cep;
		$nome_mae = $nome_mae;
		$controle = $curso;
		$curso = $curso;
		$lingua = $lingua;
		$situacao = $situacao;
		$perguntas_ok = $perguntas_ok;
		$email = $email;
		$local_prova = $local_prova;
		if (isset($v2opcao) and $v2opcao == "s")
		{
			$a2opcao = "s";
		}
		else
		{
			$a2opcao = "n";
		}
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		//echo $email;
		
		//ADQUIRINDO DADOS DO CANDIDATO
		$query_candi = @mysql_query("SELECT * FROM candidato WHERE codigo = $id") 
						or die("Não foi possível adquirir dados do usuário");
		$array_candidato = @mysql_fetch_array($query_candi);

		if (($array_candidato[curso] != $curso and $array_candidato[entregue]==$situacao) or ($array_candidato[local_prova] != $local_prova  and $array_candidato[entregue]==$situacao))
		{
			//DESFAZ PROCESSAMENTO DE ALOCAÇÃO DO CANDIDATO EM SALA
			$query_codsala = mysql_query("SELECT * FROM candidato WHERE codigo = $id");
			$array_codsala = mysql_fetch_array($query_codsala);

			$query_tira = @mysql_query("SELECT * FROM salas WHERE codigo_sala =".$array_codsala[codigo_sala]);
			$array_tira = @mysql_fetch_array($query_tira);
			if ($array_tira[qtdade_ocupada] != '0')
			{
				$tira_qtdade = $array_tira[qtdade_ocupada] - 1;
			}
			else
			{
				$tira_qtdade = $array_tira[qtdade_ocupada];
			}
			mysql_query("UPDATE salas SET qtdade_ocupada = '$tira_qtdade' WHERE codigo_sala=".$array_tira[codigo_sala]);
			
			mysql_query("update candidato set nome_candidato='$nome', rg='$rg', canhoto='$canhoto', expedidor='$rg1', ufexpedidor='$rg2', nascimento='$nascimento', sexo='$sexo', endereco='$endereco', bairro='$bairro', codtelefone='$ddd', telefone='$fone', cidade='$cidade', uf='$estado', cep='$cep', nome_mae='$nome_mae', curso='$curso', lingua='$lingua', entregue='no', socio_economico = '$perguntas_ok', controle = '$controle', email= '$email', local_prova = '$local_prova', treineiro = '$treineiro', 2opcao = '$a2opcao', data_entregue = '', codigo_sala = '' where codigo = $id")
				or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
		}

		$query_candi = @mysql_query("SELECT * FROM candidato WHERE codigo = $id") 
						or die("Não foi possível adquirir dados do usuário");
		$array_candidato = @mysql_fetch_array($query_candi);


		if ($situacao == "yes" && $array_candidato[data_entregue]=="")
		{
			//PROCESSANDO A DATA APARTIR DO SERVIDOR
			$data_server = getdate();
			if(strlen($data_server[mon])<2)
			{
				$mes = "0".$data_server[mon];
			}
			else
			{
				$mes = $data_server[mon];
			}

			//PROCESSAR SALA ONDE CANDIDATO FARA PROVA
			$query_grupo = @mysql_query("SELECT * from cursos WHERE codigo = $curso");
			$array_grupo = @mysql_fetch_array($query_grupo);
			$vgrupo = $array_grupo[grupo_repescagem];
		

			$sql_sala = "SELECT * FROM salas WHERE qual_vestibular = '$vcodigo_vest' AND cidade = '$local_prova' AND grupo = '$vgrupo' AND capacidade > qtdade_ocupada ORDER BY sala ASC, qtdade_ocupada DESC";
			$query_sala = mysql_query($sql_sala);
			$num_sala = mysql_num_rows($query_sala);

			if ($num_sala == 0)
			{
				$erro_sala = "<br><br><br><div align='center' size=4>Não há sala disponível para mais candidatos.<br>Verifique a disponibilidade das salas já cadastradas e a possibilidade de cadastrar mais salas!</div>";
			}
			else
			{
				$array_sala = @mysql_fetch_array($query_sala);
				$qtdade = $array_sala[qtdade_ocupada] + 1;
				$sala = $array_sala[codigo_sala];
				// ATUALIZANDO QTDADE_OCUPADA NA TABELA SALAS
				$sql_qtdade = "UPDATE salas SET qtdade_ocupada = '$qtdade' WHERE codigo_sala= $sala";
				$mysql_qtdade = @mysql_query($sql_qtdade)
					or die ("Não foi possível atualizar quantidade de candidatos na sala");
				
				// GRAVANDO DADOS DO CANDIDATO
				$vdata_entregue = $data_server[mday]."/".$mes."/".$data_server[year];
				@mysql_query("update candidato set nome_candidato='$nome', rg='$rg', cpf='$cpf', canhoto='$canhoto', expedidor='$rg1', ufexpedidor='$rg2', nascimento='$nascimento', sexo='$sexo', endereco='$endereco', bairro='$bairro', codtelefone='$ddd', telefone='$fone', cidade='$cidade', uf='$estado', cep='$cep', nome_mae='$nome_mae', curso='$curso', lingua='$lingua', entregue='$situacao', socio_economico = '$perguntas_ok', controle = '$controle', email= '$email', local_prova = '$local_prova', treineiro = '$treineiro', 2opcao = '$a2opcao', data_entregue = '$vdata_entregue', codigo_sala = '$sala' where codigo = $id")
					or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
			}
		}
		elseif ($situacao == "no" && $array_candidato[data_entregue]!="")
		{
			//DESFAZ PROCESSAMENTO DE ALOCAÇÃO DO CANDIDATO EM SALA
			$query_codsala = mysql_query("SELECT * FROM candidato WHERE codigo = $id");
			$array_codsala = mysql_fetch_array($query_codsala);

			$query_tira = @mysql_query("SELECT * FROM salas WHERE codigo_sala =".$array_codsala[codigo_sala]);
			$array_tira = @mysql_fetch_array($query_tira);
			if ($array_tira[qtdade_ocupada] != '0')
			{
				$tira_qtdade = $array_tira[qtdade_ocupada] - 1;
			}
			else
			{
				$tira_qtdade = $array_tira[qtdade_ocupada];
			}
			mysql_query("UPDATE salas SET qtdade_ocupada = '$tira_qtdade' WHERE codigo_sala=".$array_tira[codigo_sala]);
			
			mysql_query("update candidato set nome_candidato='$nome', rg='$rg', cpf='$cpf', canhoto='$canhoto', expedidor='$rg1', ufexpedidor='$rg2', nascimento='$nascimento', sexo='$sexo', endereco='$endereco', bairro='$bairro', codtelefone='$ddd', telefone='$fone', cidade='$cidade', uf='$estado', cep='$cep', nome_mae='$nome_mae', curso='$curso', lingua='$lingua', entregue='$situacao', socio_economico = '$perguntas_ok', controle = '$controle', email= '$email', local_prova = '$local_prova', treineiro = '$treineiro', 2opcao = '$a2opcao', data_entregue = '', codigo_sala = '' where codigo = $id")
				or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
		}
		else
		{
			mysql_query("update candidato set nome_candidato='$nome', rg='$rg', cpf='$cpf', canhoto='$canhoto', expedidor='$rg1', ufexpedidor='$rg2', nascimento='$nascimento', sexo='$sexo', endereco='$endereco', bairro='$bairro', codtelefone='$ddd', telefone='$fone', cidade='$cidade', uf='$estado', cep='$cep', nome_mae='$nome_mae', curso='$curso', lingua='$lingua', entregue='$situacao', socio_economico = '$perguntas_ok', controle = '$controle', email= '$email', local_prova = '$local_prova', treineiro = '$treineiro', 2opcao = '$a2opcao'  where codigo = $id")
				or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
		}
		echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>ALTERAÇÃO da Ficha <font color="#ff0000">';
		if ($id <= 9)
			echo '00000'. $id;
		if (($id >= 10) && ($id <= 99))
			echo '0000'. $id;
		if (($id >= 100) && ($id <= 999))
		 	echo '000'. $id;
		if (($id >= 1000) && ($id <= 9999))
		 	echo '00'. $id;
		if ($id >= 10000)
		 	echo  '0' . $id;
		if (isset($erro_sala))
		{
			echo $erro_sala;
		}
		else
		{
			echo '</font> efetuada com sucesso!!<br><br><br>';
		}
		echo '<a href="insc_cand_manut.php?qual_vestibular='.$qual_vestibular.'">Alterar outras fichas do mesmo Vestibular</a></b></font></center>';
	}

	//
	// Exclusao da Ficha
	//
	if ($submit == 'Excluir Ficha') {
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$remocao = "Delete from candidato where codigo=$id";
		$executa_remocao = mysql_query($remocao)
			or die ( 'Não foi executada a remoção.' );
		echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>EXCLUSÃO da Ficha <font color="#ff0000">';
		if ($id <= 9)
			echo '0000'. $id;
		if (($id >= 10) && ($id <= 99))
			echo '000'. $id;
		if (($id >= 100) && ($id <= 999))
		 	echo '00'. $id;
		if (($id >= 1000) && ($id <= 9999))
		 	echo '0'. $id;
		if ($id >= 10000)
		 	echo  $id;
		echo '</font> efetuada com sucesso!!</b></font><<br>';
	}

}
?>
	
	
		
	